- Description
- GatewayDeploy is the Schema for the gatewaydeploys API
- Type
object
Specification
.spec
- Description
- GatewayDeploySpec defines the desired state of GatewayDeploy
- Type
object- Required
globalk8srevisiontype
.spec.accessLogging
- Description
- Access-log configuration.
- Type
object- Required
enabled
.spec.global
- Description
- Global configuration.
- Type
object- Required
podStrategy
.spec.k8s
- Description
- Kubernetes configuration.
- Type
object
.spec.k8s.hpaSpec
- Description
- HPA configuration.
- Type
object
.spec.k8s.nodeSelector
- Description
- Node Selector, key of the map is node's label key, value of the map is a type of []string that means `In` operation will be used for node selection.
- Type
object
.spec.k8s.nodes
- Description
- Deploy Nodes.
- Type
array
.spec.k8s.nodes[]
- Type
string
.spec.k8s.podAnnotations
- Description
- Pod's annotations.
- Type
object
.spec.k8s.resources
- Description
- Resource limits.
- Type
object
.spec.k8s.resources.limits
- Description
- Maximum resource limits.
- Type
object
.spec.k8s.resources.requests
- Description
- Minimum resource requirements.
- Type
object
.spec.k8s.service
- Description
- Port details.
- Type
object
.spec.k8s.service.annotations
- Description
- Service's annotations.
- Type
object
.spec.k8s.service.ports
- Description
- Port details.
- Type
object
.spec.k8s.service.ports.http
- Description
- HTTP port.
- Type
object
.spec.k8s.service.ports.http.data
- Description
- Port list.
- Type
array
.spec.k8s.service.ports.http.data[]
- Type
object
.spec.k8s.service.ports.http.data[].items
- Description
- Info of port.
- Type
array
.spec.k8s.service.ports.http.data[].items[]
- Type
object
.spec.k8s.service.ports.http-https
- Description
- http/https port.
- Type
object
.spec.k8s.service.ports.http-https.data
- Description
- Port list.
- Type
array
.spec.k8s.service.ports.http-https.data[]
- Type
object
.spec.k8s.service.ports.http-https.data[].items
- Description
- Info of port.
- Type
array
.spec.k8s.service.ports.http-https.data[].items[]
- Type
object
.spec.k8s.service.ports.https
- Description
- HTTPS port.
- Type
object
.spec.k8s.service.ports.https.data
- Description
- Port list.
- Type
array
.spec.k8s.service.ports.https.data[]
- Type
object
.spec.k8s.service.ports.https.data[].items
- Description
- Info of port.
- Type
array
.spec.k8s.service.ports.https.data[].items[]
- Type
object
.spec.k8s.service.ports.tcp
- Description
- TCP port.
- Type
object
.spec.k8s.service.ports.tcp.data
- Description
- Port list.
- Type
array
.spec.k8s.service.ports.tcp.data[]
- Type
object
.spec.k8s.service.ports.tcp.data[].items
- Description
- Info of port.
- Type
array
.spec.k8s.service.ports.tcp.data[].items[]
- Type
object
.spec.k8s.tolerations
- Description
- Taint tolerance.
- Type
array
.spec.k8s.tolerations[]
- Type
object
.status
- Description
- GatewayDeployStatus defines the observed state of GatewayDeploy
- Type
object
.status.pods
- Description
- Pod status.
- Type
array
.status.pods[]
- Type
object
.status.proxy
- Description
- Istio Proxy status
- Type
object
.status.proxy.conditions
- Type
array
.status.proxy.conditions[]
- Description
- Condition contains details for one aspect of the current state of this API Resource. --- This struct is intended for direct use as an array at the field path .status.conditions. For example, type FooStatus struct{ // Represents the observations of a foo's current state. // Known .status.conditions.type are: "Available", "Progressing", and "Degraded" // +patchMergeKey=type // +patchStrategy=merge // +listType=map // +listMapKey=type Conditions []metav1.Condition `json:"conditions,omitempty" patchStrategy:"merge" patchMergeKey:"type" protobuf:"bytes,1,rep,name=conditions"` // other fields }
- Type
object- Required
lastTransitionTimemessagereasonstatustype
.status.proxy.revision
- Type
object- Required
currenttarget
.status.service
- Description
- Service status
- Type
object
.status.service.loadBalancer
- Description
- LoadBalancer status
- Type
object
.status.service.loadBalancer.ingress
- Description
- Ingress is a list containing ingress points for the load-balancer. Traffic intended for the service should be sent to these ingress points.
- Type
array
.status.service.loadBalancer.ingress[]
- Description
- LoadBalancerIngress represents the status of a load-balancer ingress point: traffic intended for the service should be sent to an ingress point.
- Type
object
.status.service.loadBalancer.ingress[].ports
- Description
- Ports is a list of records of service ports If used, every port defined in the service should have an entry in it
- Type
array
.status.service.loadBalancer.ingress[].ports[]
- Type
object- Required
portprotocol
.status.service.ports
- Description
- Ports status
- Type
array
.status.service.ports[]
- Description
- ServicePort contains information on service's port.
- Type
object- Required
port
API Endpoints
The following API endpoints are available:
/apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/gatewaydeploysDELETE: delete collection of GatewayDeployGET: list objects of kind GatewayDeployPOST: create a new GatewayDeploy
/apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/gatewaydeploys/{name}DELETE: delete the specified GatewayDeployGET: read the specified GatewayDeployPATCH: partially update the specified GatewayDeployPUT: replace the specified GatewayDeploy
/apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/gatewaydeploys/{name}/statusGET: read status of the specified GatewayDeployPATCH: partially update status of the specified GatewayDeployPUT: replace status of the specified GatewayDeploy
/apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/gatewaydeploys
- HTTP method
DELETE- Description
- delete collection of GatewayDeploy
- HTTP responses
- HTTP method
GET- Description
- list objects of kind GatewayDeploy
- HTTP responses
- HTTP method
POST- Description
- create a new GatewayDeploy
- Query parameters
- Body parameters
- HTTP responses
/apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/gatewaydeploys/{name}
- HTTP method
DELETE- Description
- delete the specified GatewayDeploy
- Query parameters
- HTTP responses
- HTTP method
GET- Description
- read the specified GatewayDeploy
- HTTP responses
- HTTP method
PATCH- Description
- partially update the specified GatewayDeploy
- Query parameters
- HTTP responses
- HTTP method
PUT- Description
- replace the specified GatewayDeploy
- Query parameters
- Body parameters
- HTTP responses
/apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/gatewaydeploys/{name}/status
- HTTP method
GET- Description
- read status of the specified GatewayDeploy
- HTTP responses
- HTTP method
PATCH- Description
- partially update status of the specified GatewayDeploy
- Query parameters
- HTTP responses
- HTTP method
PUT- Description
- replace status of the specified GatewayDeploy
- Query parameters
- Body parameters
- HTTP responses